# Class CIM_AggregationMetricValue
extends CIM_BaseMetricValue

Each CIM_AggregationMetricValue object represents the instance value of a metric defined by an instance of CIM_AggregationMetricDefinition. The properties inherited from CIM_BaseMetricValue provide the actual metric value. The properties introduced in CIM_AggregationMetricValue provide information about the interval over which the aggregation function was applied.

### Table of Contents
Hierarchy
Direct Known Subclasses
Class Qualifiers
Class Properties
Class Methods

## Class Hierarchy

CIM_ManagedElement
|
+--CIM_BaseMetricValue
|
+--CIM_AggregationMetricValue

## Direct Known Subclasses

## Class Qualifiers

Name | Data Type | Value
--- | --- | ---
Description | string | Each CIM_AggregationMetricValue object represents the instance value of a metric defined by an instance of CIM_AggregationMetricDefinition. The properties inherited from CIM_BaseMetricValue provide the actual metric value. The properties introduced in CIM_AggregationMetricValue provide information about the interval over which the aggregation function was applied.
UMLPackagePath | string | CIM::Metrics::BaseMetric
Version | string | 2.22.0

## Class Properties

### Local Class Properties

Name | Data Type | Default Value | Qualifiers
--- | --- | --- | ---
Name | Data Type | Value
AggregationDuration | datetime |
Description | string | Property that represents the time duration over which the aggregation was computed. The start of a monitoring interval over which the aggregation function is applied is determined by subtracting the AggregationDuration from the AggregationTimestamp.
ModelCorrespondence | string | CIM_AggregationMetricValue.AggregationTimeStamp
AggregationTimeStamp | datetime |
Description | string | Identifies the time when the aggregation function was applied to determine the value of the metric instance. Note that this is different from the time when the instance is created. For a given CIM_AggregationMetricValue instance, the AggregationTimeStamp changes whenever the aggregation function is applied to calculate the value.
ModelCorrespondence | string | CIM_AggregationMetricValue.Duration

### Inherited Properties

Name | Data Type | Class Origin
--- | --- | ---
BreakdownDimension | string | CIM_BaseMetricValue
BreakdownValue | string | CIM_BaseMetricValue
Caption | string | CIM_ManagedElement
Description | string | CIM_ManagedElement
Duration | datetime | CIM_BaseMetricValue
ElementName | string | CIM_ManagedElement
InstanceID | string | CIM_BaseMetricValue
MeasuredElementName | string | CIM_BaseMetricValue
MetricDefinitionId | string | CIM_BaseMetricValue
MetricValue | string | CIM_BaseMetricValue
TimeStamp | datetime | CIM_BaseMetricValue
Volatile | boolean | CIM_BaseMetricValue

## Class Methods